%define	name	libidn
%define	version	0.5.4
%define	release	1mdk
%define	major	11
%define libname	%mklibname idn %{major}

Summary:	Internationalized string processing library
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://josefsson.org/libidn/releases/
License:	LGPL
Source0:	http://josefsson.org/libidn/releases/%{name}-%{version}.tar.bz2
Group:		System/Libraries
Prereq: 	install-info
BuildRequires:	autoconf2.5
BuildRequires:	texinfo
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
GNU Libidn is an implementation of the Stringprep, Punycode and
IDNA specifications defined by the IETF Internationalized Domain
Names (IDN) working group, used for internationalized domain
names.

%package -n	%{libname}
Summary:	Internationalized string processing library
Group:          System/Libraries

%description -n	%{libname}
GNU Libidn is an implementation of the Stringprep, Punycode and
IDNA specifications defined by the IETF Internationalized Domain
Names (IDN) working group, used for internationalized domain
names.

%package -n	%{libname}-devel
Summary:	Development files for the %{libname} library
Group:		Development/C
Provides:	%{name}-devel
Provides:	idn-devel
Requires:	%{libname} = %{version}-%{release}
Requires:	pkgconfig

%description -n	%{libname}-devel
Development files for the %{libname} library

%package -n	idn
Summary:	Commandline interface to the %{libname} library
Group:          System/Servers

%description -n	idn
This package provides the commandline interface to the
%{libname} library

%prep

%setup -q


%build
#export WANT_AUTOCONF_2_5=1
#libtoolize --copy --force; aclocal; autoconf

# wierd stuff...
%define __libtoolize /bin/true

%configure2_5x

%make
make check

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

# provide more examples
make -C examples distclean

# house cleansing
find doc -name "Makefile*" | xargs rm

# fix "invalid-lc-messages-dir":
rm -rf %{buildroot}%{_datadir}/locale/en@*quot

%find_lang libidn

%post -n %{libname}
%_install_info %{name}.info
/sbin/ldconfig

%postun -n %{libname}
%_remove_install_info %{name}.info
/sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig

%postun -n %{libname}-devel -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n idn -f libidn.lang
%defattr(0644,root,root,755)
%doc ChangeLog FAQ README
%attr(0755,root,root) %{_bindir}/idn
%{_mandir}/man1/idn.1*
%{_datadir}/emacs/site-lisp/*.el

%files -n %{libname}
%defattr(0644,root,root,755)
%doc ChangeLog FAQ README THANKS doc/libidn.html contrib
%attr(0755,root,root) %{_libdir}/libidn.so.*
%{_infodir}/libidn.info*

%files -n %{libname}-devel
%defattr(0644,root,root,755)
%doc examples doc/specifications/* TODO doc/*.pdf libc/example.c doc/reference
%{_libdir}/libidn.so
%{_libdir}/libidn.a
%{_libdir}/libidn.la
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*

%changelog
* Sun Aug 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.4-1mdk
- 0.5.4

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.1-1mdk
- 0.5.1

* Sun Jun 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.0-1mdk
- 0.5.0

* Sun Jun 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4.9-1mdk
- 0.4.9

* Sat Jun 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4.8-1mdk
- 0.4.8

* Tue Jun 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4.7-1mdk
- 0.4.7

* Tue May 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4.6-1mdk
- 0.4.6

* Mon May 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-1mdk
- 0.4.5

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4.4-1mdk
- 0.4.4, thanks to Michael Scherer for helping with the locale stuff

* Wed Jan 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-1mdk
- 0.3.6

* Mon Dec 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.5-1mdk
- 0.3.5

* Sun Oct 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.3-2mdk
- drop the "soname fix" and use the correct way...

* Sat Oct 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.3-1mdk
- 0.3.3

* Mon Oct 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.2-1mdk
- initial cooker contrib
- used the package from PLD as a start point
